Package com.databend.jdbc

# Class QueryRawStatement

java.lang.Object
com.databend.jdbc.RawStatement
com.databend.jdbc.QueryRawStatement

public class QueryRawStatement extends RawStatement
A query statement is a statement that returns data (Typically starts with SELECT, SHOW, etc)

## Constructor Summary

Constructors
Constructor
Description
`QueryRawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)`

## Method Summary

Modifier and Type
Method
Description
`StatementType`
`getStatementType()`

### Methods inherited from class com.databend.jdbc.RawStatement

`getCleanSql, getParamMarkers, getSql, of, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QueryRawStatement

public QueryRawStatement(String sql, String cleanSql, List<ParamMarker> paramPositions)

## Method Details

### getStatementType

public StatementType getStatementType()

Specified by:
  `getStatementType` in class `RawStatement`